window.onerror = function(){return true;}
function setColors(vcolor)
{
	 SetCookie('skinc',vcolor,94608000,'/',top_domain());//保存新的样式到cookies
	var vcolors=GetCookie('skinc');
	//alert(vcolors);
	if(vcolor=="1")	
	   getObj("skincolor").href='/style/01/01.css';//调用新设置的样式  
	  else if(vcolor=="2")
	   getObj("skincolor").href='/style/02/02.css';//调用新设置的样式  
	else if(vcolor=="4")
	   getObj("skincolor").href='/style/04/04.css';//调用新设置的样式  
	  else if(vcolor=="3")
	   getObj("skincolor").href='/style/03/03.css';//调用新设置的样式	
}
// 首页滑动菜单


function setTab(name,cursel,n)
{
	var tablist={'2':'/cha.html','3':'/game2.html','4':'/gp.html','5':'/7y7.html','6':'/soft.html'};
	for(i=1;i<=n;i++)
	{
		var menu=document.getElementById(name+i);
		var con=document.getElementById("con_"+name+"_"+i);
		menu.className=i==cursel?"hover":"";
		con.style.display=i==cursel?"block":"none";
		if(i>1 && i==cursel)
		{
			document.getElementById("iframe_"+i).src=tablist[i];
		}
	}
}


function addItem(fm,nam,v)
{
  var ur=document.createElement('input');   
  ur.type = "hidden";   
  ur.name = nam; 
  ur.value = v; 
  fm.appendChild(ur);
}

function delhiddenobject(myobj)
{
var e ;	
var dele;
for (var i=0;i<myobj.elements.length;i++) 
{ 
    e = myobj.elements[i]; //定义第I个副选框为E 
   if(e.type=="hidden") {
	e.removeNode(true);
	i=-1;
	}
}
}



<!--复制代码-->

function get_position(){
	var e = window.event.srcElement;
	var e1=e;
	var l=e.offsetLeft;t=e.offsetTop; 
	while(e=e.offsetParent){t+=e.offsetTop;l+=e.offsetLeft;};
	l+=e1.scrollWidth; 
	t+=e1.scrollHeight;
	return {x: l, y: t};
}

function fShowWaiting(){
	try{
		var msg = document.getElementById("wth_f");
		var o = get_position();
		msg.style.left=o.x-320;
		msg.style.top=o.y;
		msg.style.display = "";
	}catch(e){

	}
}

function fShowWaiting1(){
	try{
		var msg = document.getElementById("wth_f");
		var o = get_position();
		msg.style.left=o.x-550;
		msg.style.top=o.y;
		msg.style.display = "";
	}catch(e){

	}
}



//--------------------email----------------
function clickMail(){
var gm=document.gomail
var vDomain=gm.domains
var vName=gm.uName
var vPw=gm.uPw
if(vDomain.value==""){alert("请选择您的邮箱...");vDomain.focus();return false}
if(vName.value==""){alert("请填写您的用户名...");vName.focus();return false}
if(vPw.value==""){alert("请填写您的密码...");vPw.focus();return false}
switch(vDomain.value){
case "163":
gm.action="http://reg.163.com/CheckUser.jsp"
gm.url.value="http://fm163.163.com/coremail/fcg/ntesdoor2?lightweight=1&verifycookie=1&language=-1&style=15"
gm.username.value=vName.value
gm.password.value=vPw.value
gm.enterVip.value=''
break
case "126":
gm.action="http://entry.126.com/cgi/login"
gm.domain.value="126.com"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "188":
gm.action="http://reg.mail.188.com/servlet/coremail/login?language=0&style=1"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "vip163":
gm.action="https://ssl1.vip.163.com/logon.m?language=-1&style=-1"
gm.username.value=vName.value
gm.password.value=vPw.value
break
case "netease":
gm.action="http://web.netease.com/cgi/login?verifycookie=1&language=0"
gm.username.value=vName.value
gm.password.value=vPw.value
break
case "sohu":
gm.action="http://passport.sohu.com/login.jsp"
gm.url.value=""
gm.UserName.value=vName.value
gm.Password.value=vPw.value
gm.id.value=vName.value
gm.username.value=vName.value
gm.password.value=vPw.value
gm.m.value=vName.value
gm.passwd.value=vPw.value
gm.mpass.value=vPw.value
gm.loginid.value=vName.value+"@sohu.com"
gm.fl.value="1"
gm.vr.value="1|1"
gm.appid.value="1000"
gm.ru.value="http://login.mail.sohu.com/servlet/LoginServlet"
gm.eru.value="http://login.mail.sohu.com/login.jsp"
gm.ct.value="1173080990"
gm.sg.value="5082635c77272088ae7241ccdf7cf062"
break
case "yahoo":
gm.action="https://edit.bjs.yahoo.com/config/login"
gm.login.value=vName.value
gm.passwd.value=vPw.value
break
case "yahoocn":
gm.action="https://edit.bjs.yahoo.com/config/login"
gm.login.value=vName.value+"@yahoo.cn"
gm.passwd.value=vPw.value
break
case "tom":
gm.action="http://bjweb.163.net/cgi/163/login_pro.cgi"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "21cn":
gm.action="http://passport.21cn.com/maillogin.jsp"
gm.LoginName.value=vName.value
gm.passwd.value=vPw.value
gm.domainname.value="21cn.com"
gm.UserName.value=vName.value+'@21cn.com'
break
case "china":
gm.action="http://mail.china.com/coremail/fcg/login"
gm.user.value=vName.value
gm.pass.value=vPw.value
gm.domainname.value="china.com"
//gm.passwd.value=vPw.value
break
case "mailchina":
gm.action="http://freemail.china.com/extend/gb/NULL/NULL/NULL/SignIn.gen"
gm.LoginName.value=vName.value
gm.passwd.value=vPw.value
break
case "citiz":
gm.action="http://citiz.online.sh.cn/default/login_billing.jsp"
gm.username.value=vName.value+"@citiz.net"
gm.password.value=vPw.value
break
case "56":
var gUrsHost=["m113","m48","m49"];
gm.action="http://"+gUrsHost[((new Date()).getSeconds())%3]+".56.com/mail/mail.56"
gm.username.value=vName.value
gm.password.value=vPw.value
break
case "Xinhuanet":
gm.action="http://mail.xinhuanet.com/login.jsp"
gm.username.value=vName.value
gm.password.value=vPw.value
gm.domainname.value='xinhuanet.com'
break
case "sina":
gm.action="http://mail.sina.com.cn/cgi-bin/login.cgi"
gm.u.value=vName.value
gm.psw.value=vPw.value
break
case "eyou":
gm.action="http://ssl.eyou.com/mail_login.php"
gm.LoginName.value=vName.value
gm.Password.value=vPw.value
break
case "yeah":
gm.action="http://entry.yeah.net/cgi/login"
gm.domain.value="yeah.net"
gm.user.value=vName.value
gm.pass.value=vPw.value
break
case "263":
gm.action="http://g2wm.263.net/xmweb"
gm.usr.value=vName.value
gm.pass.value=vPw.value
gm.domain.value="263.net"
gm.func.value="login"
break
case "qq":
gm.action="http://mail.qq.com/cgi-bin/login"
gm.u.value=vName.value
gm.p.value=vPw.value
gm.starttime.value=(new Date()).valueOf()
break
case "vipsina":
gm.action="http://vip.sina.com.cn/cgi-bin/login.php"
gm.domain.value='vip.sina.com'
gm.u.value=vName.value
gm.psw.value=vPw.value
break
case "Gmail":
gm.action="https://www.google.com/accounts/ServiceLoginAuth"
gm.Email.value=vName.value
gm.Passwd.value=vPw.value
break
case "cren":
gm.action="http://passport.sohu.com/login.jsp"
gm.loginid.value=vName.value+"@chinaren.com"
gm.passwd.value=vPw.value
gm.fl.value="1"
gm.vr.value="1|1"
gm.appid.value="1005"
gm.ru.value="http://profile.chinaren.com/urs/setcookie.jsp?burl=http://alumni.chinaren.com/"
gm.ct.value="1174378209"
gm.sg.value="84ff7b2e1d8f3dc46c6d17bb83fe72bd"
break
case "tianya":
gm.action="http://www.tianya.cn/user/loginsubmit.asp"
gm.vwriter.value=vName.value
gm.vpassword.value=vPw.value
break
case "51":
gm.action="http://passport.51.com/login.5p"
gm.passport_51_user.value=vName.value
gm.passport_51_password.value=vPw.value
gm.gourl.value="http%3A%2F%2Fmy.51.com%2Fwebim%2Findex.php"
break
case "xn":
gm.action="http://login.xiaonei.com/Login.do"
gm.email.value=vName.value
gm.password.value=vPw.value
break}
SetCookie('m',vDomain.selectedIndex,5184000,'/')
vPw.value = ""
return true}